Mission = {
Hero_name = "Tu",
};

function Mission:OnInit()
	System:SetConsoleImage ("loadscreen_projektariel.dds",0);
end

	Hud.DisplayControl.bShowEnergyMeter = 0;
	Hud.DisplayControl.bShowRadar = 0;
	Hud.DisplayControl.bShowWeapons = 1;
	Hud.DisplayControl.bShowAmmo = 0;
	Hud.DisplayControl.bShowBreathOM = 0;

---------------------------------------------------------
-- Events
---------------------------------------------------------

function Mission:Event_Kino()
	hud_panoramic=1;
end


function Mission:Event_Filmaus()
	hud_panoramic=0;
end

function Mission:Event_Sturmhimmel()
	System:SetSkyBox("12_Mutant", 0, nil);
end


function Mission:Event_Hands()
	System:SetScreenFxParamFloat("FlashBang", "FlashBangForce", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosX",100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosY", 100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeScale", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeOut", 0.2);
	System:SetScreenFx("FlashBang", 1)
	_localplayer.cnt:MakeWeaponAvailable(29);_localplayer.cnt:SetCurrWeapon(29);
	_localplayer.iPlayerEffect = 6;
end

function Mission:Event_CalibanSpeed()
	_localplayer:SetMoveSpeed(9,9,9,8,8,8,5.5);
	r_MotionBlur = 2;
	r_MotionBlurAmount = 0.5;
	r_MotionBlurDisplace = 0.5;
	Mission.BeastSound = Sound:LoadSound("Sounds/mutants/Mtheaten1.wav");
	Sound:PlaySound(Mission.BeastSound);
	_localplayer.painSounds = AI_SOUND_TABLES["MUTANT_FAST"].painSounds;
	_localplayer.deathSounds = AI_SOUND_TABLES["MUTANT_FAST"].deathSounds;
	_localplayer.jumpsounds = AI_SOUND_TABLES["MUTANT_FAST"].jumpsounds;
	_localplayer.landsounds = AI_SOUND_TABLES["MUTANT_FAST"].landsounds;
	_localplayer.cnt.health=255;
	_localplayer.cnt.armor=100;
end

function Mission:Event_Magician()
	_localplayer.cnt.health=255;
	_localplayer.cnt.armor=100;
end

function Mission:Event_Flash()	
	System:SetScreenFxParamFloat("FlashBang", "FlashBangForce", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosX",100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosY", 100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeScale", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeOut", 0.2);
	System:SetScreenFx("FlashBang", 1)
	Mission.BeastSound = Sound:LoadSound("languages/voicepacks/VoiceC/pain_7_VoiceC.wav");
	Sound:PlaySound(Mission.BeastSound);
	_localplayer.painSounds = AI_SOUND_TABLES["Jack"].painSounds;
	_localplayer.deathSounds = AI_SOUND_TABLES["Jack"].deathSounds;
	_localplayer.jumpsounds = AI_SOUND_TABLES["Jack"].jumpsounds;
	_localplayer.landsounds = AI_SOUND_TABLES["Jack"].landsounds;
	_localplayer:SetMoveSpeed(3.5,3.2,3.5,3.2,3.2,3.2,4.3);
	r_MotionBlur=0;
	r_MotionBlurAmount=1;
	_localplayer.cnt:MakeWeaponAvailable(29);_localplayer.cnt:SetCurrWeapon(29);
	_localplayer.iPlayerEffect = 1;
	_localplayer.cnt.health=255;
	_localplayer.cnt.armor=0;
end

function Mission:Event_Flash2()	
	System:SetScreenFxParamFloat("FlashBang", "FlashBangForce", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosX",100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosY", 100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeScale", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeOut", 0.2);
	System:SetScreenFx("FlashBang", 1)
	Mission.BeastSound = 	Sound:LoadSound("languages/voicepacks/VoiceC/pain_7_VoiceC.wav");
	Sound:PlaySound(Mission.BeastSound);
	_localplayer.painSounds = AI_SOUND_TABLES["Jack"].painSounds;
	_localplayer.deathSounds = AI_SOUND_TABLES["Jack"].deathSounds;
	_localplayer.jumpsounds = AI_SOUND_TABLES["Jack"].jumpsounds;
	_localplayer.landsounds = AI_SOUND_TABLES["Jack"].landsounds;
	_localplayer:SetMoveSpeed(3.5,3.2,3.5,3.2,3.2,3.2,4.3);
	r_MotionBlur=0;
	r_MotionBlurAmount=1;
	_localplayer.cnt:MakeWeaponAvailable(13);_localplayer.cnt:SetCurrWeapon(13);
	_localplayer.iPlayerEffect = 1;
	_localplayer.cnt.health=255;
	_localplayer.cnt.armor=0;
end

function Mission:Event_Machete()
	_localplayer.cnt:SetCurrWeapon(13);
end

function Mission:Event_ShowImage()
	Hud:ShowMyImage("Mods/SturmModv1.1/textures/witch.dds");
	Hud:AddSubtitle("Mre...", 2.4);
end

function Mission:Event_StopShowImage()
Hud:StopShowingMyImage();
end

function Mission:Event_Death()
	Game:SendMessage("StartLevel "..Game:GetLevelName());
end

---------------------------------------------------------
-- Ingame Messages
---------------------------------------------------------

function Mission:Event_RobinsFavPlace()
	Hud:AddSubtitle("Voici l'endroit prfr de Robin sur l'le de Prospero.", 4)
end

function Mission:Event_ShishiusFavPlace()
	Hud:AddSubtitle("Shishiu_Rendan [JOUEUR] apprcie cet endroit\net le considre comme le plus agrable sur l'le de Prospero.", 10)
end

function Mission:Event_SamisFavPlace()
	Hud:AddSubtitle("Voici l'endroit prfr de Sami sur l'le de Prospero.", 4)
end

function Mission:Event_StefansFavPlace()
	Hud:AddSubtitle("Voici l'endroit prfr de Stefan sur l'le de Prospero.", 4)
end

function Mission:Event_ChristiansFavPlace()
	Hud:AddSubtitle("Voici l'endroit prfr de Christian sur l'le de Prospero.", 4)
end

function Mission:Event_Intro()
	Hud.label = "'Nous sommes faits de la vaine substance dont se forment les\nsonges, et notre chtive vie est environne d'un sommeil.'";
	Hud.labeltime = 10;

end

function Mission:Event_Outro()
	Mission.WinSound = Sound:LoadSound("Sounds/items/capture_siren.wav");
	Sound:PlaySound(Mission.WinSound);
	Hud:AddSubtitle("Contenu additionnel dverrouill!", 5);
end

function Mission:Event_Outro2()
	System:SetScreenFxParamFloat("FlashBang", "FlashBangForce", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosX",100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangFlashPosY", 100);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeScale", 0.2);
	System:SetScreenFxParamFloat("FlashBang", "FlashBangTimeOut", 0.2);
	System:SetScreenFx("FlashBang", 1)
	_localplayer:SetPos({x=424,y=600,z=15.03});
end

function Mission:Event_Prospero()
	Hud:AddSubtitle("Voici son endroit prfr de cette plage, o Prospero admire chaque soir le coucher du soleil.", 6);	
end

function Mission:Event_Zelt()
	Hud:AddSubtitle("La Cellule de Prospero - Traduction dans FarCry: La Tente de Prospero", 4.85);
end

function Mission:Event_Wrack()
	Hud.label = "'Ils nous menrent  quelques lieues en mer o ils avaient prpar\nla carcasse d'un bateau pourri. Ce fut l qu'ils nous hissrent.'";
	Hud.labeltime = 7;

end

function Mission:Event_CalibansRock()
	Hud.label = "'Tu fus donc avec justice confin dans ce rocher, toi qui mritais pis qu'une prison.'";
	Hud.labeltime = 5.3;
	Hud:AddSubtitle("CALIBAN", 5);

end

function Mission:Event_FoulLake()
	Hud.label = "'Je les ai laisss dans l'tang, s'agitant de tout le corps pour re-\ntirer leurs pieds enfoncs dans la fange noire et puante du lac.'";
	Hud.labeltime = 7;

end

function Mission:Event_Ariel()
	Hud.label = "'Elle l'enferma dans un pin clat, dans la fente duquel\nil demeura cruellement emprisonn pendant douze ans.'";
	Hud.labeltime = 6.3;
	Hud:AddSubtitle("ARIEL", 6);

end 


function Mission:Event_Rape()
	Hud.label = "'Je t'es log, ordure que tu es, dans ma propre tente, jusqu'au\njour o tu entrepris d'attenter  l'honneur de mon enfant!'";
	Hud.labeltime = 8;

end


function Mission:Event_Books()
	Hud.label = "'Lui briser le crne, ou l'ventrer avec un pieu - il saisi ses livres.'";
	Hud.labeltime = 4;

end

function Mission:Event_Tools()
	Hud.label = "'Nous faonnons nos outils et  leur tour ils nous faonnent.' - Marshall McLuhan 1964";
	Hud.labeltime = 6;

end

function Mission:Event_KeineAngst()
	Hud.label = "'N'aie pas peur. Cette le est remplie de bruits, de sons et\nde doux airs qui donnent du plaisir sans jamais faire de mal.'";
	Hud.labeltime = 7;

end

function Mission:Event_Luhmann()
	Hud.label = "'Ce que nous connaissons du monde, celui dans lequel nous\nvivons, nous le savons par les mdias.' - Niklas Luhmann 1977";
	Hud.labeltime = 7;

end

function Mission:Event_Lagerfeuer()
	Hud.label = "'La progrs aujourd'hui est le feu de camp autour duquel\nnous racontons nos histoires.' - Laurie Anderson";
	Hud.labeltime = 5;

end

function Mission:Event_BadMiranda()
	Hud:AddSubtitle("Ici,  ce bambou, Caliban jeta un coup d'oeil (Veuillez appuyer sur la touche 'E' ou 'Q') vers Miranda pendant qu'elle se baignait nue.", 7);

end

function Mission:Event_Erscheinung()
	Hud:AddSubtitle("Prospero, dans les airs -", 3);

end

function Mission:Event_Unsichtbar()
	Hud.label ="- invisible.";
	Hud.labeltime = 4;

end

function Mission:Event_Miranda()
	Hud:AddSubtitle("MIRANDA", 4);

end

function Mission:Event_Glider()
	Hud.label = "'Laisse-moi partir...'";
	Hud.labeltime = 5;

end

function Mission:Event_SturmAnfang()
	System:SetScreenFx("ScreenFade",1);
	System:SetScreenFxParamFloat("ScreenFade","ScreenFadeTime",2);
	local EndSequence=
	{
	{"Ubi.bik", 1},
	};
	VideoSequencer:Play(EndSequence,VideoSequencer.TerminateGame);

end
	
---------------------------------------------------------

Mission.NPCtexts = {};
Mission.NPCtexts.Lake_of_Miranda = {
-- 1
{
specialname = "",
delay=4.2,
npctext = "M'aimez-vous?",
answers = "1. Non.\n2. Je vous aime, vous prise, vous honore bien au del de tout ce qui\ndans le monde n'est pas vous.",
o1 = "System:GetEntityByName('NpcDialogText1').idstatus = 2",
o2 = "System:GetEntityByName('NpcDialogText1').idstatus = 3",
},
-- 2
{
specialname = "Miranda",
npctext = "Quelle honte!",
answers = "1. (Sortie).",
o1 = "System:GetEntityByName('NpcDialogText1'):SetPos({z=0.01})",
exit = "System:GetEntityByName('NpcDialogText1'):SetPos({z=0.01})",
},
-- 3
{
specialname = "Miranda",
npctext = "Je suis une folle de pleurer de ce qui me donne de la joie.",
delay=2,
answers = "1. Pourquoi pleurez-vous?",
o1 = "System:GetEntityByName('NpcDialogText1').idstatus = 4",
},
-- 4
{
specialname = "Miranda",
npctext = "A cause de mon peu de mrite, qui n'ose offrir ce que je dsire\ndonner.",
delay=8,
answers = "1. ?",
o1 = "System:GetEntityByName('NpcDialogText1').idstatus = 5",
},
-- 5
{
specialname = "Miranda",
npctext = "Je suis votre femme si vous voulez m'pouser; sinon je mourrai le\ncoeur  vous.",
delay=2,
answers = "1. Voil ma main!",
o1 = "System:GetEntityByName('NpcDialogText1').idstatus = 6",
},
-- 6
{
specialname = "Miranda",
delay=2,
npctext = "Et voil la mienne, et dedans est mon coeur!",
answers = "1. :-)",
o1 = "System:GetEntityByName('NpcDialogText1'):SetPos({z=0.01})",
exit = "System:GetEntityByName('NpcDialogText1'):SetPos({z=0.01})",
},
};

Mission.NPCtexts.Platform_of_Caliban = {
-- 1
{
specialname = "",
delay=2,
npctext = "Veux-tu venir avec moi?",
answers = "1. Non, monstre grotesque!\n2. Montre-moi le chemin!",
o1 = "System:GetEntityByName('NpcDialogText2').idstatus = 2",
o2 = "System:GetEntityByName('DelayNavi1'):Event_InputTrigger(); System:GetEntityByName('NpcDialogText2'):SetPos({z=0.01})",
},
-- 2
{
specialname = "Caliban",
npctext = "Trois fois double ne que j'tais de prendre cet ivrogne pour un dieu,\net d'adorer un si sot imbcile!",
answers = "1. (Sortie).",
o1 = "System:GetEntityByName('NpcDialogText2'):SetPos({z=0.01})",
exit = "System:GetEntityByName('NpcDialogText2'):SetPos({z=0.01})",
},
};

Mission.NPCtexts.Diary = {
-- 1
{
specialname = "Journal",
delay=9,
npctext = "Mon nom est Prospero, Duc de Milan.\nDu moins c'est ainsi qu'ils surnomment toujours  chaque fois que je sors\nde ma bibliothque de retour  cette vie insipide qu'ils appellent\nLa Vie Relle.\nDerrire mon dos ils peuvent me traiter de faible pour la bonne raison\nque je suis plus intress par les livres que du sort de mon royaume.\nMais ils ne savent pas que mon esprit devient de plus en plus fort, et\nce, mot aprs mot, et avec tout la sagesse que j'acquiers.",
answers = "1. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 2",
},
-- 2
{
specialname = "Journal",
delay=2,
npctext = "Afin d'avoir plus de temps pour tudier j'ai confi le gouvernement\n mon frre.\nIl est serviable. Peut-tre un peu trop...\nJe n'aime pas la manire dont il s'est li d'amitier au Roi de Naples\ncar ce dernier montrait souvent son irrsistible dsir de fusionner\nmon royaume au sien.",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 1",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 3; System:GetEntityByName('DelayVoice1'):Event_InputTrigger()",
},
-- 3
{
specialname = "Journal",
delay=7,
npctext = "Mon propre frre m'a trahi!\nPour supprimer toute distance entre ce rle qu'il joue et celui dont\nil joue le rle, il a conspir avec le Roi de Naples pour m'extirper\net me chasser du trne!\nCeci pourrait tre les dernires lignes que j'crir",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 2",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 4",
},
-- 4
{
specialname = "Journal",
delay=2,
npctext = "Aucune terre en vue, seulement les eaux infinies s'coulant lentement\ndans la carcasse pourrie de la boute dans laquelle ils nous hissrent.\nGrce  Gonzalo, mon vieux conseiller, je peux rester, du moins,\nle nez dans mes livres.\nMiranda dort. Pauvre petit ange, elle a des larmes sur sa joue.\nJe dois trouver une manire de nous sauver...",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 3",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 5",
},
-- 5
{
specialname = "Journal",
npctext = "La page vierge est couverte d'eau sale",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 4",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 6",
},
-- 6
{
specialname = "Journal",
delay=2,
npctext = "Grce aux sorts que j'ai appris nous avons pu survivre, chous sur\nune le dserte.\nIl semble que nous devons recommencer de nouveau.\nCette fois je faonnerai mon royaume selon mes idaux. Cette endroit\ndeviendra un lieu o la sagesse prvaut sur les mauvaises graines de\nla nature humaine!",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 5",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 7",
},
-- 7
{
specialname = "Journal",
delay=2,
npctext = "Nous ne sommes pas seuls. J'ai trouv une crature sauvage que j'ai\nnomm Caliban. Aprs lui avoir appris la langue, il m'a dit que sa mre\ntait morte il y a de a de nombreuses annes le laissant ainsi seul\nsur cette le.\nMiranda est heureuse d'avoir trouv en lui un camarade de jeu mais\nje n'aime pas la faon dont parfois il la regarde...",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 6",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 8",
},
-- 8
{
specialname = "Journal",
delay=2,
npctext = "Cette ordure que j'ai log dans ma propre tente jusqu'au jour o il\ntenta de se prendre  l'honneur de mon enfant! Je ne peux imaginer\nce qui aurait pu arriver si je n'tais pas venu  temps. Cet avorton\nque cette sorcire a engendr m'a ri au visage lorsque je l'ai jet\ndans la tente en lui disant que je l'avais prvenu cette fois; il\ndevait peupler diffremment cette le avec ses rejetons!\nJe ne peux oublier ces mots. Particulirement la nuit,\nlorsque je monte la garde  l'extrieur de la\ntente, je sais qu'il observe chacun des\nmes mouvements prs de la roche.\nJe l'ai emprisonn...",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 7",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 9",
},
-- 9
{
specialname = "Journal",
delay=2,
npctext = "Par un hasard des plus tranges, la Fortune bienfaisante, m'amne mes\nennemis sur ce rivage! Pendant des annes, je me suis prpar  ce\njour, l'occasion de me venger. Avec Ariel, mon esprit des airs que j'ai\nlibr de la captivit - La mre de Caliban, la sorcire, l'avait enferm\ndans un pin fendu pendant douze longues annes - J'ai dsormais le\npouvoir de les faire souffrir pour ce qu'ils nous ont fait  moi et\n ma fille - causer une tempte qui les chassera de cette le!\n\nAttends -",
answers = "1. Page prcdente \n2. Page suivante",
o1 = "System:GetEntityByName('NpcDialogText3').idstatus = 8",
o2 = "System:GetEntityByName('NpcDialogText3').idstatus = 10",
},
-- 10
{
specialname = "",
npctext = "",
answers = "1. Quel est ce bruit?",
o1 = "System:GetEntityByName('DelayCombat'):Event_InputTrigger();_localplayer.cnt:MakeWeaponAvailable(21);_localplayer.cnt:SetCurrWeapon(21); System:GetEntityByName('NpcDialogText3'):SetPos({z=0.01})",
},
};

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()

end